.header {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1200px;
  padding: rem(12) rem(26) rem(12) rem(20);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.25);
  background-color: $c-blue;

  &__logo {
    position: relative;
    margin-right: rem(119);
    width: rem(192);
    height: rem(20);

    &-mouse {
      position: absolute;
      right: rem(-5);
      top: calc(100% + 4px);
      width: rem(14);
      height: rem(14);
    }
  }

  &__burger {
    position: relative;
    display: none;
    margin: rem(5) rem(17) 0 0;
    width: rem(18);
    height: rem(12);

    i {
      display: block;
      margin-bottom: rem(3);
      width: 100%;
      height: rem(2);
      background-color: $c-white;
    }
  }

  &__menu-search {
    display: flex;
    flex: 1;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
  }

  &__container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
  }

  &__search-row {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
  }

  &__panel {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
  }

  &__mail {
    margin-top: rem(3);
    margin-right: rem(27);
    text-decoration: none;
    cursor: pointer;

    .mail {
      color: rgba(255, 255, 255, 1);
    }
  }

  &__bell {
    position: relative;
    margin-right: rem(22);
    width: rem(16);
    height: rem(20);

    .bell {
      color: rgba(255, 255, 255, 1);
    }

    &-notices {
      position: absolute;
      right: rem(-10);
      top: rem(-5);
      border-radius: rem(1);
      min-width: rem(13);
      min-height: rem(13);
      font-weight: 400;
      font-size: rem(10);
      text-align: left;
      text-transform: uppercase;
      color: $c-white;
      background-color: #b71826;
    }
  }

  &__person {
    &-avatar {
      position: relative;
      overflow: hidden;
      border-radius: 50%;
      width: rem(32);
      height: rem(32);

      img {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        border-radius: 50%;
        object-fit: cover;
        object-position: center center;
      }
    }
  }
}

.search {
  &__trigger {
    margin-top: rem(5);
    width: rem(18);
    height: rem(18);
    color: rgba(255, 255, 255, 1);
    transition: transform 0.3s ease, color 0.3s ease;
    cursor: pointer;

    &:hover {
      color: #c0c0c0;
      transform: scale(1.1);
    }
  }

  &__form {
    position: absolute;
    right: rem(40);
    top: rem(-5);
    z-index: 2;
    width: 0;
    height: rem(40);
    background: $c-white;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, width 0.3s ease;

    &_active {
      width: calc(100% - 40px);
      opacity: 1;
      visibility: visible;
    }

    &-head {
      position: relative;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;

      svg {
        position: absolute;
        left: rem(10);
        top: rem(-5);
        bottom: 0;
        margin: auto;
        width: rem(18);
        height: rem(18);
      }
    }

    &-input {
      flex: 1;
      outline: none;
      border: none;
      padding-right: rem(25);
      padding-left: rem(38);
      width: 100%;
      font-weight: 400;
      font-style: normal;
      font-size: rem(13);
      letter-spacing: normal;
      text-align: left;
    }

    &-close {
      position: absolute;
      right: rem(79);
      top: 0;
      bottom: 0;
      margin: auto;
      width: rem(12);
      height: rem(12);
      cursor: pointer;

      i {
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        margin: auto;
        width: 100%;
        height: rem(2);
        background-color: #444f62;
        transform: rotate(45deg);
        transition: background-color 0.3s ease;

        &:last-child {
          transform: rotate(-45deg);
        }
      }

      &:hover {
        i {
          background-color: #c1c1c1;
        }
      }
    }

    &-button {
      display: flex;
      align-items: center;
      justify-content: center;
      outline: none;
      border: none;
      width: rem(70);
      height: rem(41);
      box-shadow: none;
      font-weight: 400;
      font-style: normal;
      font-size: rem(13);
      text-align: center;
      color: $c-white;
      background-color: #ffc120;
      transition: background-color 0.3s ease;

      &:hover {
        background-color: darken(#ffc120, 15%);
        cursor: pointer;
      }
    }

    &-dop {
      margin-top: rem(4);
      padding: rem(17) rem(20) rem(18);
      width: rem(422);
      box-shadow: 0 1px 4px rgba(0, 0, 0, 0.25);
      background: #fff;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease;

      &_active {
        opacity: 1;
        visibility: visible;
      }

      &-my {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        input {
          margin-left: rem(20);
        }
      }

      &-sort {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: flex-start;
        margin-top: rem(13);

        label {
          margin-right: rem(27);
        }
      }

      &-check {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        margin-top: rem(21);
      }
    }
  }
}

.check-box {
  position: relative;

  input[type="checkbox"] {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }

  input + label {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    cursor: pointer;

    &::before {
      content: "";
      display: block;
      margin-right: rem(9);
      border: rem(2) solid #c1c1c1;
      width: rem(15);
      height: rem(15);
      background-color: #fff;
    }

    .check-active {
      position: absolute;
      left: rem(0);
      width: rem(19);
      height: rem(19);
      font-size: rem(19);
      background-color: #8fc04f;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease-in;
    }
  }

  input:checked + label {
    .check-active {
      opacity: 1;
      visibility: visible;
    }
  }

  .material-icons.md-light {
    color: rgba(255, 255, 255, 1);
  }
}

.plus {
  position: relative;
  margin-left: rem(31);
  border-radius: 100%;
  width: rem(20);
  height: rem(20);
  background-color: $c-white;
  cursor: pointer;

  &::before,
  &::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: rem(10);
    height: rem(2);
    background-color: $c-blue;
  }

  &::after {
    transform: rotate(90deg);
  }
}

.select {
  position: relative;
  width: rem(144);
  height: rem(38);

  &__head {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border: 1px solid #dadada;
    padding-left: rem(12);
    width: 100%;
    height: 100%;
    background-color: #f2f2f2;
    cursor: pointer;

    .arrow-down {
      position: absolute;
      right: rem(11);
      top: 0;
      bottom: 0;
      margin: auto;
      height: rem(15);
      font-size: rem(15);
      color: rgba(102, 102, 102, 1);
    }
  }

  &__body {
    position: absolute;
    left: 0;
    top: 100%;
    z-index: 2;
    border: 1px solid #dadada;
    border-top: none;
    width: 100%;
    background-color: #f2f2f2;
    opacity: 0;
    visibility: hidden;

    &_active {
      opacity: 1;
      visibility: visible;
    }

    .option {
      border-bottom: 1px solid #dadada;
      padding: rem(12);
      transition: background-color 0.3s ease;
      cursor: pointer;

      &:hover {
        background-color: #fff;
      }
    }
  }
}

.input {
  &-default {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: flex-start;
    outline: none;
    border: 1px solid #c4ced5;
    border-radius: 2px;
    padding-left: rem(9);
    width: 100%;
    height: rem(37);
    background-color: $c-white;

    &::placeholder {
      color: #c0c0c0;
    }
  }
}

.nav {
  &__menu {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    list-style: none;
    margin: 0;
    padding-left: 0;

    &-item {
      margin-right: rem(39);
    }

    &-link {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: flex-start;
      font-weight: 500;
      font-style: normal;
      font-size: rem(16);
      line-height: rem(21);
      letter-spacing: normal;
      text-align: right;
      text-decoration: none;
      color: $c-white;
      transition: color 0.3s ease;

      .down {
        margin-left: rem(11);
        color: rgba(255, 255, 255, 1);
        transition: fill 0.3s ease;
      }

      &:hover {
        color: darken(#fff, 20%);

        .down {
          color: darken(#fff, 20%);
        }
      }
    }
  }
}

@include mmax (1366) {
  .header {
    &__logo {
      margin-right: rem(87);
    }
  }
}

@include mmax (1283) {
  .header {
    &__logo {
      margin-right: rem(42);
      width: rem(144);
      height: rem(16);
    }
  }

  .nav {
    &__menu {
      &-item {
        margin-right: rem(20);
      }

      &-link {
        font-size: rem(14);

        svg {
          margin-left: rem(5);
          width: rem(7);
          height: rem(4);
        }
      }
    }
  }

  .plus {
    margin-left: rem(25);
  }
}

@include mmax (1000) {
  .nav,
  .plus {
    display: none;
  }

  .header {
    justify-content: center;

    &__burger {
      display: block;
    }

    &__panel {
      flex-basis: 100%;
      justify-content: space-between;
      margin: rem(41) auto 0;
      width: 100%;
    }

    &__menu-search {
      justify-content: flex-end;
    }
  }

  .search {
    &__form {
      position: fixed;
      left: 0;
      right: 0;
      top: rem(12);
      margin: auto;
    }
  }
}

@include mmax (464) {
  .search__form {
    width: calc(100% - 16px);
  }

  .search__form-dop {
    margin: rem(4) auto 0;
    width: calc(100% - 8px);
  }
}

@include mmax (414) {
  .header {
    &__panel {
      flex-basis: rem(278);
      width: rem(278);
    }
  }
}